searchNodes=[{"ref":"Mix.Secrex.html","title":"Mix.Secrex","type":"module","doc":"Utility functions to work with secret files."},{"ref":"Mix.Secrex.html#secret_files_changed?/0","title":"Mix.Secrex.secret_files_changed?/0","type":"function","doc":"Checks if the local decrypted files are in sync with the encrypted ones. This could be useful in deployment process. For instance, to abort deployment if secrets diverge: if Mix.Secrex.secret_files_changed?() do Mix.raise( &quot;Secret files are not in sync. Please run \\&quot;mix secrex.decrypt\\&quot; to retrieve latest updates.&quot; ) end"},{"ref":"Mix.Tasks.Secrex.Decrypt.html","title":"Mix.Tasks.Secrex.Decrypt","type":"task","doc":"Decrypts secrets to the configured files."},{"ref":"Mix.Tasks.Secrex.Encrypt.html","title":"Mix.Tasks.Secrex.Encrypt","type":"task","doc":"Encrypts secrets to the configured files."},{"ref":"Secrex.html","title":"Secrex","type":"module","doc":"Simple and secure secrets manager for Elixir projects. Configuration Secrets requires some configurations to work. Add this to your config.exs: config :secrex, key_file: &quot;.secret-key&quot;, files: [&quot;config/env/prod.secret.exs&quot;] Supported options :key_file - path to the key file used for encryption and decryption. If not set, you will be prompted to enter a key. :files - list of files to be encrypted and decrypted. :cipher - the cipher module to handle secret encryption/decryption. Must be an implementation of Secrex.Cipher. Defaults to Secrex.AES."},{"ref":"Secrex.AES.html","title":"Secrex.AES","type":"module","doc":"This module is an implementation of Secrex.Cipher using AES256-GCM. Example iex&gt; encryption_key = &quot;very-secretive&quot; iex&gt; {:ok, encrypted} = Secrex.AES.encrypt(&quot;Hello, World!&quot;, encryption_key) iex&gt; Secrex.AES.decrypt(encrypted, encryption_key) {:ok, &quot;Hello, World!&quot;}"},{"ref":"Secrex.AES.html#decrypt/2","title":"Secrex.AES.decrypt/2","type":"function","doc":"Decrypts data using AES256-GCM"},{"ref":"Secrex.AES.html#encrypt/2","title":"Secrex.AES.encrypt/2","type":"function","doc":"Encrypts data using AES256-GCM."},{"ref":"Secrex.Cipher.html","title":"Secrex.Cipher","type":"behaviour","doc":""},{"ref":"Secrex.Cipher.html#c:decrypt/2","title":"Secrex.Cipher.decrypt/2","type":"callback","doc":""},{"ref":"Secrex.Cipher.html#c:encrypt/2","title":"Secrex.Cipher.encrypt/2","type":"callback","doc":""},{"ref":"Secrex.Cipher.html#t:ciphertext/0","title":"Secrex.Cipher.ciphertext/0","type":"type","doc":""},{"ref":"Secrex.Cipher.html#t:key/0","title":"Secrex.Cipher.key/0","type":"type","doc":""},{"ref":"Secrex.Cipher.html#t:plaintext/0","title":"Secrex.Cipher.plaintext/0","type":"type","doc":""},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog"},{"ref":"changelog.html#v0-3-0","title":"Changelog - v0.3.0","type":"extras","doc":"Started to ignore trailing whitespaces in encryption key. Introduced :cipher option. Publicize Secrex.AES."},{"ref":"changelog.html#v0-2-1","title":"Changelog - v0.2.1","type":"extras","doc":"Fixed Mix.Secrex.secret_files_changed?/0 to detect decryption failure."},{"ref":"changelog.html#v0-2-0","title":"Changelog - v0.2.0","type":"extras","doc":"Improved error messages."},{"ref":"changelog.html#v0-1-0","title":"Changelog - v0.1.0","type":"extras","doc":"Initial release."}]